cURL
curl --request GET \
--url https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1/broker/order \
--header 'Content-Type: <content-type>' \
--header 'access_token: <access_token>' \
--header 'client_id: <client_id>'import requests
url = "https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1/broker/order"
headers = {
"Content-Type": "<content-type>",
"client_id": "<client_id>",
"access_token": "<access_token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'Content-Type': '<content-type>',
client_id: '<client_id>',
access_token: '<access_token>'
}
};
fetch('https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1/broker/order', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 442,
"name": "Teste Pedido",
"customer": {
"id": 567878,
"name": "TESTE CLIENTES"
},
"customerId": 10258,
"virtualContract": {
"id": 784,
"planDesc": "Silver plan",
"franchise": 10,
"operatorDiffChargeFlag": "T",
"payPerUseFlag": "T",
"sharingType": 1
},
"virtualPlanId": 3119,
"createdAt": "2021-11-09T18:06:35.000Z",
"cpfCnpj": "6357980698",
"status": "ACTIVE",
"value": "7.5",
"activationPrice": "4.5",
"createdBy": "teste@teste.com.br",
"megabyteExcPrice": "12",
"automaticBlocking": true,
"loyaltyType": 1,
"loyaltyTime": 12012021,
"penalty": "125,00",
"tradeInMonths": 2,
"preActivationExemptTraffic": 8,
"activationDate": "string",
"nbSimcards": 2,
"trackingNumbers": [
"CODIGO_1,CODIGO_2,CODIGO_3"
]
}
]{
"errors": "No content"
}{
"errors": "Parameter not found"
}{
"errors": "Parameter not found"
}MoT
Lista um pedido para o cliente do MoT
Busca um pedido (uma lista) para o cliente do MoT
GET
/
broker
/
order
cURL
Headers
Define o formato da requisição.
🔹 Valor padrão:
application/json
📌 Dica: Copie e cole esse valor no campo Content-Type.
Example:
"application/json"
Example:
"client_id"
Token gerado.
Example:
"access_token"
Query Parameters
Identificador do pedido
Example:
"676543"
Identificador do plano
Example:
"id"
Nome do pedido
Example:
"name"
Identifica se a consulta é de pedidos a pagar ou receber (pay ou receive)
Example:
"pay"
Status do pedido. Available values : ACTIVE, PROCESSING, ERROR, ERROR_SENDING_KAFKA, ARCHIVED
Example:
"status"
Contratos a pagar e a receber
Example:
" true (Contratos a pagar), false (Contrato a receber)"
Número da página para paginação.
Example:
0
Tamanho da página para paginação.
Example:
24
Unidade que deseja retorno
Example:
"MB"
Response
OK

